Bug 782994 - [abrt] ruby-1.8.7.357-1.fc16: __GI_raise: Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
[abrt] ruby-1.8.7.357-1.fc16: __GI_raise: Process /usr/bin/ruby was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
abrt_hash:56327f1478c463ee5d8ce1068ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 20:43 EST by Rob Sharp
Modified: 2013-02-13 10:30 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (4.05 KB, text/plain)
2012-01-18 20:43 EST, Rob Sharp
no flags Details
File: maps (23.41 KB, text/plain)
2012-01-18 20:43 EST, Rob Sharp
no flags Details
File: backtrace (70.29 KB, text/plain)
2012-01-18 20:44 EST, Rob Sharp
no flags Details
File: backtrace (93.34 KB, text/plain)
2012-03-28 15:04 EDT, Curt
no flags Details

  None (edit)
Description Rob Sharp 2012-01-18 20:43:52 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        ruby1.8 ./script/rails c
crash_function: __GI_raise
executable:     /usr/bin/ruby
kernel:         3.1.8-2.fc16.x86_64
pid:            945
pwd:            /home/robsharp/Documents/clients/ratecity/sorbet
reason:         Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
time:           Thu 19 Jan 2012 12:35:39 EST
uid:            1000
username:       robsharp
var_log_messages: Jan 19 12:35:40 laphroaig abrt[957]: Saved core dump of pid 945 (/usr/bin/ruby) to /var/spool/abrt/ccpp-2012-01-19-12:35:39-945 (70520832 bytes)

backtrace:      Text file, 71974 bytes
dso_list:       Text file, 4148 bytes
maps:           Text file, 23969 bytes

build_ids:
:f87d0119540d7587a499f9c71ee99e42a1e97632
:019afaa6ebbcb2ff7a20b6fe0e7dd5a2eb828fbb
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:bc9c56b2ebce71ba3956aa5238dfd326899d7f7c
:d71e2e823b67b1378b488058ee2f3545fce53648
:0fe2a6d475e4287b8facb07776f55a8a7acb5893
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:89017ab0b75e533e4294f74ee8f7db3daceea536
:3af569c11e13478255f585bc1eb3d0ca1541ba3e
:de272a66db7a1b50e62eaf658976bce648412179
:ab59942678bcdecb23756804dcd0aac63ccc1669
:c124e79ca47fee27b34b962e8144fd5ae98f1dae
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:e7fa8ef9610c6bcdbb593f66ad2f3ec44b0a5e85
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:82bc54b413f8d1e9e86f0d330f92df8ccba00201
:ce23411d74ed91cd5d388571343295aeed79573f
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:90b27a14271d5cab2fad9b2f44ac0d584935e503
:d8b26823ae85343e974130aa7fb18f8e7a8f6c3d
:788f1bcfd94d7a7bc7cad38fdac368f19c93ca5b
:73926dd18fa28af3d50fc85413e79a5b660302c5
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:0d061ba28f9e6aac7f98de088cdfefc9393fd76e
:cfd6e064ee1dde01516f4a3bb8b2b52e155464ad
:8134bbc116d74149f6b3c5005a587f8f064d080f
:780c863c749eda590a24a893287b43e3922716cb
:ad677ce697667f094f107debe826d1d5369314f8
:f614fedf1f903ccf113469da4f80cce5c85b4706
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:acb539406379b6479a42576cd6aa86e607dbbc20
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:3f786db3526df6c19970295c77a9d16d6213df00
:9079742be50384a88e00ef3ea8dbeb3ceab7381d
:374add1ead31ccb449779bc7ee7877de3377e5ad
:1ac456e806978059302a55ce9466205cb925a058
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:74ae88173658854383370d76513e8146f1b5e933
:c6739204320eb15bdcdba039a2b183298170403e
:83cb4627bed5c756d4e6f23badf8a6b4b042f4e6
:b39d72e2e8f1ebed5b6faa5d2a03c6a2896b9e2b
:99cf76b6a5eb7fff7f8b6a7717352856fb203855
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:f34b12e0452f83b866bd0704f35567c9600e1408
:30d222cbaa7087ff6613d2737d967fc570ec8a72
:06ee19d9c2aac65375286f62f618b8b6fdf46d5f
:524218685502172f05de5a15828de22215888a09
:f680f72b0e3c6a5c862f5d97dee707a0269aa367
:674c83be6ed84b3525fbed2503a5d7b18421179f

comment:
:Opening a rails console in the test environment, using RAILS_ENV=test ./script/rails c
:
:Executing the command a second time worked as expected.

environ:
:LANG=en_AU.utf8
:DISPLAY=:0
:SHLVL=1
:LOGNAME=robsharp
:XDG_VTNR=1
:GNOME_KEYRING_PID=1423
:IMSETTINGS_MODULE=none
:XAUTHORITY=/var/run/gdm/auth-for-robsharp-KK9pQx/database
:PWD=/home/robsharp/Documents/clients/ratecity/sorbet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=2
:DESKTOP_SESSION=gnome
:GDMSESSION=gnome
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZVGos9
:USERNAME=robsharp
:WINDOWPATH=1
:COLORTERM=gnome-terminal
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zUh7GSaVlI,guid=9e18cf864e235c7f6933a2a90000002f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/robsharp
:_=/home/robsharp/Documents/clients/ratecity/sorbet/./script/rails
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SESSION_COOKIE=8275cfa4aa257df37627654c00000014-1326778024.957112-2088297401
:GDM_LANG=en_AU.utf8
:OLDPWD=/home/robsharp/Documents/clients/ratecity/sorbet
:HOSTNAME=laphroaig
:SHELL=/bin/zsh
:GJS_DEBUG_OUTPUT=stderr
:TERM=xterm
:QT_IM_MODULE=xim
:HISTSIZE=10000
:SSH_AUTH_SOCK=/home/robsharp/.gnupg/S.gpg-agent.ssh
:PATH=/var/lib/gems/1.8/bin:/home/robsharp/.rbenv/bin:/home/robsharp/bin:/home/robsharp/.gem/ruby/1.8/bin:/usr/local/bin:/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/robsharp/.rvm/bin:/home/robsharp/.gem/ruby/1.8/bin:/opt/androidsdk/tools
:WINDOWID=16928926
:HOME=/home/robsharp
:XDG_SEAT=seat0
:XMODIFIERS=@im=none
:XDG_RUNTIME_DIR=/run/user/robsharp
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1431,unix/unix:/tmp/.ICE-unix/1431
:GPG_AGENT_INFO=/home/robsharp/.gnupg/S.gpg-agent:1952:1
:USER=robsharp
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GREP_OPTIONS=--color=auto
:GREP_COLOR=1;32
:PAGER=less
:LC_CTYPE=en_AU.utf8
:LSCOLORS=Gxfxcxdxbxegedabagacad
:SSH_AGENT_PID=1952
:GPG_TTY=/dev/pts/3
:RAILS_ENV=test

smolt_data:
:
:
:General
:=================================
:UUID: 20028e0e-29e7-433d-8181-3ee2d438d914
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_AU.utf8
:Platform: x86_64
:BogoMIPS: 4984.33
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 5858
:System Swap: 7967
:Vendor: LENOVO
:System: 4286CTO ThinkPad X220
:Form factor: Notebook
:Kernel: 3.1.8-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59426:6058:8666) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_laphroaig-lv_root / ext4 4096 4096 3781730 1045988 853886 960992 642478 642478
:/dev/sda2 /boot ext4 1024 1024 495844 412096 386496 128016 127987 127987
:/dev/sda1 WITHHELD vfat 4096 4096 595056 594968 594968 0 0 0
:/dev/mapper/vg_laphroaig-lv_home /home ext4 4096 4096 8877756 1948225 1497256 2256576 2025510 2025510
:
Comment 1 Rob Sharp 2012-01-18 20:43:57 EST
Created attachment 556154 [details]
File: dso_list
Comment 2 Rob Sharp 2012-01-18 20:43:59 EST
Created attachment 556155 [details]
File: maps
Comment 3 Rob Sharp 2012-01-18 20:44:02 EST
Created attachment 556156 [details]
File: backtrace
Comment 4 Curt 2012-03-28 15:04:48 EDT
Was trying to update stock prices in grism. Happens each time I launch and try to update. 

backtrace_rating: 4
Package: ruby-1.8.7.357-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Curt 2012-03-28 15:04:55 EDT
Created attachment 573435 [details]
File: backtrace
Comment 6 Dominic Cleal 2012-06-10 18:01:19 EDT
Running "autotest" (a spec test runner) against the Puppet codebase eventually causes the segfault.  I've run it twice and it's crashed during different tests, though both in the Puppet::Util area.  In this case it's simply:

Puppet::Util::Execution
  execution methods
  ...
  #execpipe
/home/dcleal/code/puppet/puppet/lib/puppet/util/execution.rb:34: [BUG] Segmentation fault
ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]


backtrace_rating: 4
Package: ruby-1.9.3.194-11.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-01-16 09:27:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 10:30:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.